<div class="py-5">
    <?php
    $paged = get_query_var('paged');
    $argsActus = array(
        'post_type' => 'offres-emploi',
        'post_status' => 'publish',
        'order' => 'DESC',
        'posts_per_page' => -1,
        'orderby' => 'meta_value',
        'meta_key' => 'datedebut',
        'paged' => $paged,
    );
    $wp_query = new WP_Query($argsActus);
    $nbOffres = 0;
    if ($wp_query->have_posts()) {
        while ($wp_query->have_posts()) {
            $wp_query->the_post();
            // Récupération dates de début/fin
            $dateDebut = get_post_meta(get_the_ID(), 'datedebut', true);
            $timeDebut = strtotime($dateDebut);
            $dateFin = get_post_meta(get_the_ID(), 'datefin', true);
            $timeFin = strtotime($dateFin);
            $dateJour = strtotime(date('Ymd'));
            $dateFin = strtotime($dateFin);
            if ((!$dateDebut) || ($dateDebut == '') || ($dateDebut == '//') || (!$dateFin) || ($dateFin == '') || ($dateFin == '//')) {
                // On n'affiche pas cette offre
                echo 'vide';
                } else {
                if ($dateFin >= $dateJour) {

                    echo '<div class="resultat mb-5">';
                    echo '<h2 class="">' . get_the_title() . '</h2>';
                    echo '<p>Recrutement ouvert du ' . date_i18n('d/m/y', $timeDebut) . ' au ' . date_i18n('d/m/y', $timeFin) . '</p>';
                    //echo '<p>'.get_the_excerpt().'</p>';
                    echo '<p><a class="lien" href="' . get_permalink() . '">&gt; Consulter</a></p>';
                    echo '<hr>';
                    echo '</div>';
                    }
                $nbOffres++;
                }
            }
        } else {
        echo '<div class="resultat"><h3 class="titre3">Aucune offre d’emploi proposée actuellement.</h3></div>';
        $nbOffres = 999;
        }
    if ($nbOffres == 0) {
        echo '<div class="resultat"><h3 class="titre3">Aucune offre d’emploi proposée actuellement.</h3></div>';
        }
    ?>
    <p class="pagination">
        <span class="gauche">
            <?php previous_posts_link('Offres plus récentes'); ?>
        </span>
        <span class="droite"><?php next_posts_link('Offres plus anciennes'); ?></span>
    </p>
</div>